Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class OCSPResponseStatus

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.DEREnumerated
                  |
                  +--org.bouncycastle.asn1.ocsp.OCSPResponseStatus

All Implemented Interfaces:
  DEREncodable, DERTags

public class OCSPResponseStatus
extends DEREnumerated

Field Summary
`static int` | `INTERNAL_ERROR`
`static int` | `MALFORMED_REQUEST`
`static int` | `SIG_REQUIRED`
`static int` | `SUCCESSFUL`
`static int` | `TRY_LATER`
`static int` | `UNAUTHORIZED`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`OCSPResponseStatus(DEREnumerated value)`
`OCSPResponseStatus(int value)` OCSPResponseStatus ::= ENUMERATED { successful (0), --Response has valid confirmations malformedRequest (1), --Illegal confirmation request internalError (2), --Internal error in issuer tryLater (3), --Try again later --(4) is not used sigRequired (5), --Must sign the request unauthorized (6) --Request unauthorized }

Methods inherited from class org.bouncycastle.asn1.DEREnumerated
`equals, getInstance, getInstance, getValue`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESSFUL

    public static final int SUCCESSFUL

### MALFORMED_REQUEST

    public static final int MALFORMED_REQUEST

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

### TRY_LATER

    public static final int TRY_LATER

### SIG_REQUIRED

    public static final int SIG_REQUIRED

### UNAUTHORIZED

    public static final int UNAUTHORIZED

Constructor Detail

### OCSPResponseStatus

    public OCSPResponseStatus(int value)

       OCSPResponseStatus ::= ENUMERATED {
           successful            (0),  --Response has valid confirmations
           malformedRequest      (1),  --Illegal confirmation request
           internalError         (2),  --Internal error in issuer
           tryLater              (3),  --Try again later
                                       --(4) is not used
           sigRequired           (5),  --Must sign the request
           unauthorized          (6)   --Request unauthorized
       }

### OCSPResponseStatus

    public OCSPResponseStatus(DEREnumerated value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD